Bug 192881 - [stage] databases/gnats4 and request maintainership
Summary: [stage] databases/gnats4 and request maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-21 08:02 UTC by Chris Hutchinson
Modified: 2014-08-25 14:46 UTC (History)
2 users (show)

See Also:


Attachments
databases/gnats4 STAGED source, and other corrections (25.01 KB, text/plain)
2014-08-21 08:02 UTC, Chris Hutchinson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2014-08-21 08:02:02 UTC
Created attachment 146107 [details]
databases/gnats4 STAGED source, and other corrections

databases/gnats4 is on the hitlist, and maintainer was revoked as a result.
This is a request for maintainership, and contains a patch for:

added: STAGE
renamed: files/exextrapatch-gnats::edit-pr.sh
to: files/exextrapatch-gnats__edit-pr.sh

CAVEAT
redports.org reports it's not clang friendly.
As a result, I was [temporarily] forced to create a
conditional that reports IGNORE for FreeBSD versions 10, and 11.

I'll have an 11 box cobbled up in the next couple days, to
resolve that issue (I'm currently running RELENG_8, and RELENG_9).

redports logs:
8.4:
https://redports.org/~portmaster/20140821073901-24015-235917/gnats-4.1.0_2.log
9.2
https://redports.org/~portmaster/20140821073901-24015-235916/gnats-4.1.0_2.log

Please find gnats4.shar attached
(I used a shar file, because of the name change for the files/patch)

Thanks!

--Chris
Comment 1 John Marino freebsd_committer 2014-08-21 09:22:46 UTC
a diff can handle renames, but ok, people can deal with the shar.  It's not conventional.

Moving to patch ready because it's a staging PR and because some testlogs were provided.
Comment 2 John Marino freebsd_committer 2014-08-23 20:04:03 UTC
I'll take it to avoid inflicting the pre-poudriere C Hutchinson on other maintainers.  I know what I'm getting into. :)
Comment 3 John Marino freebsd_committer 2014-08-23 20:36:21 UTC
* BOOM *

I saw small stuff that I expected, but I don't expect to see MAN[1-9]= defined nor any of the man pages missing from the plist.  It's the very first thing you do when you stage a port.

Didn't a PR of yours earlier this week do the same thing?  When you saw me correct that one, you should have taken this PR back and fixed it.
Comment 4 commit-hook freebsd_committer 2014-08-23 22:10:57 UTC
A commit references this bug:

Author: marino
Date: Sat Aug 23 22:10:34 UTC 2014
New revision: 365835
URL: http://svnweb.freebsd.org/changeset/ports/365835

Log:
  Stage databases/gnats4 and assign new maintainer

  PR:		192881
  Submitted by:	Chris Hutchinson

  I am sure many people wanted to see this port die, but Chris wanted to
  save it.  Unfortunately his PR only contained about 2% of the work needed
  to properly stage it.  I had to overhaul it with the changes to numerous
  to recount.  Some big ticket items: converted to OptionsNG the EMACS and
  CLIENT_ONLY knobs (the ability to define the exact EMACS version is lost,
  it just takes the default. There are only 2 EMACS versions anyway).

  The chown/mode changes where moved from vendor makefile to pkg-plist.  I
  also leveraged @sample keyword for the two conf files.

Changes:
  head/databases/gnats4/Makefile
  head/databases/gnats4/files/extrapatch-gnats::edit-pr.sh
  head/databases/gnats4/files/extrapatch-gnats__edit-pr.sh
  head/databases/gnats4/files/patch-gnats__Makefile.in
  head/databases/gnats4/pkg-plist
Comment 5 John Marino freebsd_committer 2014-08-23 22:18:35 UTC
The commit message wasn't exaggerating.  This PR really did miss about 98% of the changes needed to properly stage this port.  I spent a great deal of time on this, and I hope you really need the port because I think people were hoping it would die.

If this PR had come from anyone else, I would have closed it without working on it.  We can't have a repeat of this.  If you have any other open PRs, I would seriously review them all with poudriere as soon as you have the box up.  I can't afford this amount of time on a single (obscure) port.

Anyway, it's done.

To be fair, this would have been difficult for a person with moderate experience to stage.  There were a lot of advanced techniques that were needed.  You really don't currently have the knowedge to have done this by yourself, but you definitely could have provided a much better starting port.  Those MAN pages not being taken care of is ... well, astonishing, that was very basic.  And you see that if that passed redports, that shows you how inferior redports is when it comes to plist checks.
Comment 6 Chris Hutchinson 2014-08-25 14:46:21 UTC
(In reply to John Marino from comment #5)
> The commit message wasn't exaggerating.  This PR really did miss about 98%
> of the changes needed to properly stage this port.  I spent a great deal of
> time on this, and I hope you really need the port because I think people
> were hoping it would die.
> 
> If this PR had come from anyone else, I would have closed it without working
> on it.  We can't have a repeat of this.  If you have any other open PRs, I
> would seriously review them all with poudriere as soon as you have the box
> up.  I can't afford this amount of time on a single (obscure) port.
> 
> Anyway, it's done.
> 
> To be fair, this would have been difficult for a person with moderate
> experience to stage.  There were a lot of advanced techniques that were
> needed.  You really don't currently have the knowedge to have done this by
> yourself, but you definitely could have provided a much better starting
> port.  Those MAN pages not being taken care of is ... well, astonishing,
> that was very basic.  And you see that if that passed redports, that shows
> you how inferior redports is when it comes to plist checks.

WOW, John!
I just caught the update on this. I'm dumbfounded. I was more than
happy, and capable (after the new install of 11) to manage all this.
Don't get me wrong. I'm _more_ than grateful for all your time, and
work on this. I just feel horrible that you took on such a job, what
with all the other work you have to do.

Thank you!

P.S. I changed the title from databases/gnat to databases/gnats4
because I neglected the 4 on the initial pr(1). I thought bugzilla
would be smart enough to reconcile that w/o simply turning it into
a new pr(1) (if that's what it did). Maybe another good reason to
keep gnats4 alive. :)

Thanks again, John. Your generosity is overwhelming.

--Chris